%define daemon_user monitor
%if 0%{?suse_version}
%define htmlroot /srv/www/htdocs
%define httpconfdir apache2/conf.d
%define daemon_group www
%else
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%endif
Summary: op5 Monitor specific reports
Name: monitor-op5reports
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2+
Group: op5/monitor
URL: http://www.op5.se
Source0: %name-%version.tar.gz
Prefix: /opt/monitor/op5/ninja
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: monitor-ninja >= 3.1
Requires: php-op5lib
Requires: op5-monitor-supported-database
%if 0%{?suse_version}
# SLES-specific stuff
Requires: php53
BuildRequires: php53
%else
# Common RHEL stuff
Requires: php
BuildRequires: php
%if 0%{?rhel} >= 6
# RHEL6-specific stuff
%else
# RHEL5-specific stuff
%endif
%endif

%description
op5 Monitor specific reports



%package test
Summary: Test suite for op5 reports
Requires: monitor-op5reports = %version
Requires: op5-mysql
Requires: op5license-generator
# We run through ninja's test suite, so make sure all its deps are installed
Requires: monitor-ninja-test
Group: op5/monitor

%description test
Test suite for op5 reports

%prep
%setup -q

%build
make controllers

%install
rm -rf %buildroot
mkdir -p %buildroot%prefix/modules
cp -r op5reports %buildroot%prefix/modules/
cp -r test-op5reports %buildroot%prefix/modules/

%files
%defattr(-,%daemon_user,%daemon_group)
%prefix/modules/op5reports

%files test
%defattr(-,%daemon_user,%daemon_group)
%prefix/modules/test-op5reports

%clean
rm -rf %buildroot
